{ stdenv, requireFile, unzip, p7zip }:
{ pname
, version
, fname ? null
, sha256 ? null
, forumlink ? null
, passthru ? {}
, ... }@args:

let
 pruned = builtins.removeAttrs args [ "pname" "version" "fname" "sha256" "forumlink" "passthru" ];

in stdenv.mkDerivation ({
  src = requireFile {
    message = ''
      Download the Addon from:
      ${forumlink}

      Then add it to your nix store, e.g., by using
      "nix-prefetch-url file://\$PWD/${fname}" from the directory where you saved it.
    '';
    name = fname;
    inherit sha256;
  };
  nativeBuildInputs = [ p7zip unzip ];
} // args)
